# List US Bank Accounts

List USBankAccount objects. Optionally filter by verification status.

## Request

```curl
curl -G https://api.stripe.com/v2/core/vault/us_bank_accounts \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  -d limit=10 \
  -d verification_status=unverified
```

### Response

```json
{
  "data": [
    {
      "id": "usba_61TcA4tJ8SWeDTsLf16Tc9w10HSQBCfqQyjGBBCa8Pey",
      "object": "v2.core.vault.us_bank_account",
      "alternative_reference": null,
      "archived": false,
      "bank_account_type": "checking",
      "bank_name": "Test Bank",
      "created": "2025-11-12T22:02:31.150Z",
      "fedwire_routing_number": null,
      "financial_connections_account": null,
      "last4": "6789",
      "routing_number": "110000000",
      "supported_currencies": [
        "usd"
      ],
      "verification": {
        "microdeposit_verification_details": null,
        "status": "unverified"
      },
      "livemode": true
    }
  ],
  "next_page_url": null,
  "previous_page_url": null
}
```

## Parameters

- `limit` (integer, optional)
  Optionally set the maximum number of results per page. Defaults to 10.

- `page` (string, optional)
  The pagination token.

- `verification_status` (enum, optional)
  Optionally filter by verification status.
Possible enum values:
  - `awaiting_verification`
    Verification of the bank account has been initiated and requires further action to be completed.

  - `unverified`
    The bank account is unverified.

  - `verification_failed`
    Verification of the bank account has failed.

  - `verified`
    The bank account is verified.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/core/vault/us-bank-accounts/list.md?query=data) (array of objects)
  The retrieved US Bank Accounts.

- `next_page_url` (string, nullable)
  URL to fetch the next page of the list. If there are no more pages, the value is null.

- `previous_page_url` (string, nullable)
  URL to fetch the previous page of the list. If there are no previous pages, the value is null.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | invalid_verification_status | Returned when ListUsBankAccounts is called with an invalid verification_status param. |
